Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.util
Class JndiJCAObject

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject

All Implemented Interfaces:
  javax.naming.Referenceable, javax.resource.Referenceable, java.io.Serializable

Direct Known Subclasses:
  STCApplicationConnectionFactory, STCManagedConnectionFactory

public class JndiJCAObject
extends java.lang.Object
implements javax.resource.Referenceable, java.io.Serializable

Class which can be extended by JCA objects so that the objects can be JNDI bind-able. For example, CCI ConnectionFactory implementation class should extend this class.

Version:
  $Revision: 1.2 $
Author:
  James Tran
See Also:
  Serialized Form

Constructor Summary
`JndiJCAObject()` Constructor for JndiJCAObject instance.

Method Summary
`javax.naming.Reference` | `getReference()` Gets the Reference to the JNDI bound object.
`static java.lang.String` | `getVersion()` Gets the version of the JNDI bind-able object.
`void` | `setReference(javax.naming.Reference ref)` Sets the Reference to the JNDI bound object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiJCAObject

    public JndiJCAObject()

  Constructor for JndiJCAObject instance.

Method Detail

### getVersion

    public static final java.lang.String getVersion()

  Gets the version of the JNDI bind-able object.

  Returns:
    A String representing the version of the JNDI object.

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Gets the Reference to the JNDI bound object.

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Returns:
    An instance of a Reference to the JNDI object.
  Throws:
    `javax.naming.NamingException` - upon error.

### setReference

    public void setReference(javax.naming.Reference ref)

  Sets the Reference to the JNDI bound object.

  Specified by:
    `setReference` in interface `javax.resource.Referenceable`
  Parameters:
    `ref` - The Reference to the JNDI bound object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD